<?php
/*
 * Copyright (C) 2009 agorum Software GmbH
 *
 * This file is part of agorum core
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; version 2
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

jimport( 'joomla.application.component.view');

/**
 * HTML View class for the joogorum Component
 */
class JoogorumViewJoogorum extends JView {
  
	function display($tpl = null) {
		// Get the url of the agorum core SOAP
		$plugin =& JPluginHelper::getPlugin('authentication', 'joogorum');
		$pluginParams = new JRegistry( $plugin->params );                   // changed from JParameters to JRegistry (it-service Stefan Steiner)

		// Here we connect to agorum core
		$repositoryUrl = $pluginParams->get('agorum-core-url');

		$ticket = $_SESSION["ticket"];

		$uuid = null;
		$uuid =& JRequest::getVar( 'uuid' );
		
    $currentNode = "akt Node";
    
    //pass values to template
		$this->assignRef('path', $path);
		$this->assignRef('session', $session);

		$this->assignRef('option', JRequest::getVar('option'));
		$this->assignRef('view', JRequest::getVar('view'));
		$this->assignRef('itemid', JRequest::getVar('Itemid'));


		parent::display($tpl);
	}
}
?>
